| optoICC

Loading...
Searching...
No Matches
optoICC.icc4c.ICC4cBoard Class Reference

Parent class => Board
More...

Inheritance diagram for optoICC.icc4c.ICC4cBoard:

## Public Member Functions
| __init__ (self, str or None port=None, int baudrate=256000, bool comm_lock=True, bool verbose=False, bool simple=False, bool board_reset=False, float inter_byte_timeout=0.2, device_platform=DevicePlatform.ALL, str ip_address=None, int ethernet_port=5000)

## Public Attributes
| Status = Registers.ICCStatus(board=self)
| => ICCStatus
| TemperatureManager = Registers.ICCTemperatureManager(board=self)
| => ICCTemperatureManager
| MiscFeatures = Registers.ICCMiscFeatures(board=self)
| => ICCMiscFeatures
| Logger = Registers.Logger(board=self)
| => Logger
| SnapshotManager = Registers.SnapshotManager(board=self)
| => SnapshotManager
| Channel_0 = ICC4cChannel(self, 0, device_platform)
| => ICC4cChannel
| Channel_1 = ICC4cChannel(self, 1, device_platform)
| => ICC4cChannel
| Channel_2 = ICC4cChannel(self, 2, device_platform)
| => ICC4cChannel
| Channel_3 = ICC4cChannel(self, 3, device_platform)
| => ICC4cChannel
list | channel = [self.Channel_0, self.Channel_1, self.Channel_2, self.Channel_3]
| all available channels array of type => ICC4cChannel
| EEPROM = BoardEEPROMRegisters.ICC4cBoardEEPROM(board=self)
| => ICCBoardEEPROM
| SignalFlowManager = Registers.SignalFlowManager(board=self)
| => SignalFlowManager
| VectorPatternMemory = Registers.VectorPatternMemory(board=self)
| => VectorPatternMemory
| ADCcontrol = Registers.ADCcontrol(board=self)
| => ADCcontrol
| DACcontrol = Registers.DACcontrol(board=self)
| => DACcontrol
| SmartStep = Registers.SmartStepManager(board=self)
| => SmartStepManager
| XPRControl = Registers.XPRControl(board=self)
| => XPRControl
| InertialMeasurementUnit = Registers.InertialMeasurementUnit(board=self)
| => InertialMeasurementUnit
| SarynControl = Registers.SarynControl(board=self)
| => SarynControl

## Detailed Description

Parent class => Board

        Board object from which to issue ICC-4C commands over a serial connection.

        Parameters
        ----------
        port, baudrate, comm_lock, verbose
        Standard serial connection parameters. Extended from Connection class.
        simple: bool, optional = False
        Determines whether or not Board will be set in simple-mode after initialization.
        board_reset: bool, optional = False
        Determines whether or not to reset the Board during initialization.
        Raises
        ------
        none

        Notes
        -----
        Board extends Connection class. Refer to Connection for methods, parameters, etc.
        Board inherits Commands. Refer to Commands for methods, parameters, etc.

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.icc4c.ICC4cBoard.__init__ | ( |  | self,
|  | str or None | port = None,
|  | int | baudrate = 256000,
|  | bool | comm_lock = True,
|  | bool | verbose = False,
|  | bool | simple = False,
|  | bool | board_reset = False,
|  | float | inter_byte_timeout = 0.2,
|  |  | device_platform = DevicePlatform.ALL,
|  | str | ip_address = None,
|  | int | ethernet_port = 5000 )

## Member Data Documentation

## ◆ Status

optoICC.icc4c.ICC4cBoard.Status = Registers.ICCStatus(board=self)

=> ICCStatus

## ◆ TemperatureManager

optoICC.icc4c.ICC4cBoard.TemperatureManager = Registers.ICCTemperatureManager(board=self)

=> ICCTemperatureManager

## ◆ MiscFeatures

optoICC.icc4c.ICC4cBoard.MiscFeatures = Registers.ICCMiscFeatures(board=self)

=> ICCMiscFeatures

## ◆ Logger

optoICC.icc4c.ICC4cBoard.Logger = Registers.Logger(board=self)

=> Logger

## ◆ SnapshotManager

optoICC.icc4c.ICC4cBoard.SnapshotManager = Registers.SnapshotManager(board=self)

=> SnapshotManager

## ◆ Channel_0

optoICC.icc4c.ICC4cBoard.Channel_0 = ICC4cChannel(self, 0, device_platform)

=> ICC4cChannel

## ◆ Channel_1

optoICC.icc4c.ICC4cBoard.Channel_1 = ICC4cChannel(self, 1, device_platform)

=> ICC4cChannel

## ◆ Channel_2

optoICC.icc4c.ICC4cBoard.Channel_2 = ICC4cChannel(self, 2, device_platform)

=> ICC4cChannel

## ◆ Channel_3

optoICC.icc4c.ICC4cBoard.Channel_3 = ICC4cChannel(self, 3, device_platform)

=> ICC4cChannel

## ◆ channel

list optoICC.icc4c.ICC4cBoard.channel = [self.Channel_0, self.Channel_1, self.Channel_2, self.Channel_3]

all available channels array of type => ICC4cChannel

## ◆ EEPROM

optoICC.icc4c.ICC4cBoard.EEPROM = BoardEEPROMRegisters.ICC4cBoardEEPROM(board=self)

=> ICCBoardEEPROM

## ◆ SignalFlowManager

optoICC.icc4c.ICC4cBoard.SignalFlowManager = Registers.SignalFlowManager(board=self)

=> SignalFlowManager

## ◆ VectorPatternMemory

optoICC.icc4c.ICC4cBoard.VectorPatternMemory = Registers.VectorPatternMemory(board=self)

=> VectorPatternMemory

## ◆ ADCcontrol

optoICC.icc4c.ICC4cBoard.ADCcontrol = Registers.ADCcontrol(board=self)

=> ADCcontrol

## ◆ DACcontrol

optoICC.icc4c.ICC4cBoard.DACcontrol = Registers.DACcontrol(board=self)

=> DACcontrol

## ◆ SmartStep

optoICC.icc4c.ICC4cBoard.SmartStep = Registers.SmartStepManager(board=self)

=> SmartStepManager

## ◆ XPRControl

optoICC.icc4c.ICC4cBoard.XPRControl = Registers.XPRControl(board=self)

=> XPRControl

## ◆ InertialMeasurementUnit

optoICC.icc4c.ICC4cBoard.InertialMeasurementUnit = Registers.InertialMeasurementUnit(board=self)

=> InertialMeasurementUnit

## ◆ SarynControl

optoICC.icc4c.ICC4cBoard.SarynControl = Registers.SarynControl(board=self)

=> SarynControl